from django.urls import path
from logement import views

urlpatterns = [
    path("", views.accueil, name="accueil"),
    path("nouveau", views.nouveau, name="nouveau"),
    path("confirm", views.confirm, name="confirm"),
    path("contact", views.contact, name="contact"),
    path("moderation/<int:ident>", views.moderation, name="moderation"),
    path("<int:logement_id>/ajouter_photo", views.ajouter_photo, name="ajouter_photo"),
    path("<int:logement_id>", views.detail_by_id, name="detail"),
    path("<uuid:uuid>", views.detail_by_uuid, name="detail_by_uuid"),
    path("report_obs/<int:logement_id>", views.report_obs, name="report_obs"),
    path(
        "photo/<int:photo_id>/supprimer",
        views.suppression_photo,
        name="suppression_photo",
    ),
    path(
        "depublication/<uuid:uuid>",
        views.depublication_by_uuid,
        name="depublication_by_uuid",
    ),
    path(
        "republication/<uuid:uuid>",
        views.republication_by_uuid,
        name="republication_by_uuid",
    ),
]
